<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="urn:us:mil:ces:metadata:ddms:4" xmlns:ddms="urn:us:mil:ces:metadata:ddms:4" xmlns:ICISM="urn:us:gov:ic:ism" xmlns:ntk="urn:us:gov:ic:ntk" xmlns:gml="http://www.opengis.net/gml/3.2" xmlns:common="urn:us:gov:ic:common" targetNamespace="urn:us:mil:ces:metadata:ddms:4" elementFormDefault="qualified" attributeFormDefault="qualified" version="4">
	<xs:annotation>
		<xs:documentation>
This schema file is intended to simplify importation of IC-ISM Schema files.  The supported version of ISM is version 7 public.
		</xs:documentation>
		<xs:documentation>
			Change Log:
			 6/05/2011 (E. Hughes) -- Created DDMS 3.1.  Implemented CR 2011-1 to create DDMS-Includes.xsd wherein all IC-ISM references are consolidated.
			 8/05/2011 (E. Hughes) -- Implemented CR 2011-15 to update DDMS 4 to ISM 7.  Updated documentation.
			11/11/2011 (E. Hughes) -- Implemented CR 2011-17 to use IC-ISM POCType.
			 6/12/2012 (E. Hughes) -- Removed commented sections for support of ISM versions prior to 7 due to fundamental incompatibility issues.
		</xs:documentation>
	</xs:annotation>
	
	<xs:include schemaLocation="DDMS-GeospatialCoverage.xsd"/>
	<!-- DDMS 4.0 and later require elements which are not available with versions of ISM prior to ISM 7. -->
	<!--The following section of code supports IC-ISM 7 and NTK 5, as per CR2011-15 (EH)-->
	<!--
	<xs:import namespace="urn:us:gov:ic:ntk" schemaLocation="../../NTK5/IC-NTK.xsd"/>
	<xs:import namespace="urn:us:gov:ic:ism" schemaLocation="../../ISM7/IC-ISM.xsd"/>
	<xs:import namespace="urn:us:gov:ic:common" schemaLocation="../../IC-COMMON7/IC-Common.xsd"/>
	<xs:attributeGroup name="RootSecurityAttributesGroup">
		<xs:attributeGroup ref="ICISM:ISMRootNodeAttributeGroup"/>
		<xs:attributeGroup ref="ntk:NTKRootNodeAttributeGroup"/>
	</xs:attributeGroup>
-->
	<!--The following section of code supports IC-ISM 8 and NTK 6-->
	<!--
	<xs:import namespace="urn:us:gov:ic:ntk" schemaLocation="../../NTK6/IC-NTK.xsd"/>
	<xs:import namespace="urn:us:gov:ic:ism" schemaLocation="../../ISM8/IC-ISM.xsd"/>
	<xs:import namespace="urn:us:gov:ic:common" schemaLocation="../../IC-COMMON8/IC-Common.xsd"/>
	<xs:attributeGroup name="RootSecurityAttributesGroup">
		<xs:attributeGroup ref="ICISM:ISMRootNodeAttributeGroup"/>
		<xs:attributeGroup ref="ntk:NTKRootNodeAttributeGroup"/>
	</xs:attributeGroup>
-->
	<!--The following section of code supports IC-ISM 9 and NTK 7-->
	<xs:import namespace="urn:us:gov:ic:ntk" schemaLocation="../../NTK/IC-NTK.xsd"/>
	<xs:import namespace="urn:us:gov:ic:ism" schemaLocation="../../ISM/IC-ISM.xsd"/>
	<xs:import namespace="urn:us:gov:ic:common" schemaLocation="../../IC-COMMON/IC-Common.xsd"/>
	<xs:attributeGroup name="RootSecurityAttributesGroup">
		<xs:attributeGroup ref="ICISM:ISMRootNodeAttributeGroup"/>
		<xs:attributeGroup ref="ntk:NTKRootNodeAttributeGroup"/>
	</xs:attributeGroup>

	<!-- Compatible with v7 - 9 of ISM, supporting DDMS 4.0 - 4.1 -->
	<xs:attributeGroup name="MetacardSecurityAttributesGroup">
		<!-- Added for metacardInfo element (EH) -->
		<xs:attributeGroup ref="ICISM:ResourceNodeAttributeGroup"/>
	</xs:attributeGroup>
	<xs:attributeGroup name="POCAttributesGroup">
		<xs:attributeGroup ref="ICISM:POCAttributeGroup">
			<xs:annotation>
				<xs:documentation>Indicates that the element specifies a point-of-contact (POC) and the methods with which to contact them.</xs:documentation>
			</xs:annotation>
		</xs:attributeGroup>
		<xs:attributeGroup ref="SecurityAttributesOptionGroup"/>
	</xs:attributeGroup>

	<!-- Currently (to v9) compatible with all versions of ISM: -->
	<xs:attributeGroup name="SecurityAttributesOptionGroup">
		<xs:attributeGroup ref="ICISM:SecurityAttributesOptionGroup"/>
	</xs:attributeGroup>
	<xs:attributeGroup name="SecurityAttributesGroup">
		<xs:attributeGroup ref="ICISM:SecurityAttributesGroup"/>
	</xs:attributeGroup>
	
	<xs:complexType name="SecurityType">
		<xs:sequence>
			<xs:element name="noticeList" type="NoticeListType" minOccurs="0" maxOccurs="1"/>
			<xs:group ref="AccessGroup"/>
		</xs:sequence>
		<xs:attribute ref="ICISM:excludeFromRollup" use="required" fixed="true"/>
		<xs:attributeGroup ref="SecurityAttributesGroup"/>
	</xs:complexType>
	<xs:complexType name="NoticeListType">
		<xs:sequence>
			<xs:element ref="ICISM:Notice" minOccurs="1" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:attributeGroup ref="SecurityAttributesGroup"/>
	</xs:complexType>

	<!-- NTK wrapping -->
	<xs:group name="AccessGroup">
		<xs:sequence>
			<xs:element ref="ntk:Access" minOccurs="0" maxOccurs="1"/>
		</xs:sequence>
	</xs:group>

	<!--  IC-Common wrapping -->
	<xs:attributeGroup name="SimpleLinkAttributesGroup">
		<xs:attributeGroup ref="common:SimpleLinkAttributesGroup"/>
	</xs:attributeGroup>



	<xs:attributeGroup name="OptionalResourceLinkAttributesGroup">
		<xs:attributeGroup ref="common:OptionalResourceLinkAttributesGroup"/>
	</xs:attributeGroup>
</xs:schema>
